Skip to main content
GET
/
affiliates
/
offers
/
{offerId}
/
deals
Get Offer Deals
curl --request GET \
  --url https://api.eflow.team/v1/affiliates/offers/{offerId}/deals \
  --header 'X-Eflow-Api-Key: <api-key>'
{
  "deals": [
    {
      "network_advertiser_deal_id": 123,
      "name": "<string>",
      "brand_name": "<string>",
      "deal_type": "<string>",
      "deal_status": "<string>",
      "deal_categories": [
        "<string>"
      ],
      "coupon_code": "<string>",
      "discount_amount": 123,
      "discount_type": "<string>",
      "discount_currency": "<string>",
      "threshold_amount": 123,
      "threshold_type": "<string>",
      "purchase_limit_amount": 123,
      "purchase_limit_type": "<string>",
      "valid_from": "2023-11-07T05:31:56Z",
      "valid_to": "2023-11-07T05:31:56Z"
    }
  ]
}

Authorizations

X-Eflow-Api-Key
string
header
required

The affiliate's API key generated from the Affiliate Portal. Uses the X-Eflow-Api-Key header.

Path Parameters

offerId
integer
required

The numeric ID of the offer.

Response

200 - application/json

OK

deals
object[]

Array of deals for the specified offer.